#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	pygame

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	python game development library
Name:		python%{PVER}-%{original_name}
Version:	1.9.1
Release:	2
License:	GNU/LGPL
URL:		http://www.pygame.org
Group:		Development/Libraries
Source0:	pygame-1.9.1release.tar.gz
Patch0:		pygame-1.9.1-config.patch
Patch260:	pygame-1.9.1release-ccux.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools

BuildRequires:	smpeg-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_image-devel
BuildRequires:	glibc-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	libX11-devel

Provides:	pygame = %{version}-%{release}
Obsoletes:	python-pygame <= %{version}-%{release}
Obsoletes:	python25-pygame <= %{version}-%{release}

%description
Pygame is a set of Python modules designed for writing games.
It is written on top of the excellent SDL library.
This allows you to create fully featured games and
multimedia programs in the python language.
Pygame is highly portable and runs on nearly every platform
and operating system.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	pygame-devel = %{version}-%{release}
Obsoletes:	python-pygame-devel <= %{version}-%{release}
Obsoletes:	python25-pygame-devel <= %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%prep
%setup -q -n %{original_name}-%{version}release
%patch0 -p1

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-, root, root, 0755)
%{python_sitelib}

%files devel
%defattr(-, root, root, 0755)
%_includedir

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.9.1-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.9.1-1
- Version update, build against python25-2.5.4-3
* Sat Jun 21 2008 Christian Wasem <wasem@ccux-linux.de> 1.8.0-1
- Version update
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.7.1-1
- Initial Release
